{%- macro nav_link(tab) -%}
  <li class="nav-item">
    <a
      class="nav-link px-2 {% if tab.is_active %}active{% endif %}"
      href="{{ tab.path }}"
    >
      <div class="d-flex align-items-center gap-2">
        {% if tab.icon %}
          <i class="bi {{ tab.icon }}" aria-hidden="true"></i>
        {% endif %}
        <span data-content="{{ tab.label }}">{{ tab.label }}</span>
      </div>
    </a>
  </li>
{%- endmacro -%}

{%- macro search_nav_link(icon, label, href, active, badge) -%}
  <li class="nav-item flex-fill">
    <a
      class="nav-link {% if active %}active{% endif %} d-flex flex-row justify-content-center"
      href="{{ href }}"
    >
      <div class="d-flex align-items-center gap-2">
        {% if icon %}
          <i class="bi {{ icon }}" aria-hidden="true"></i>
        {% endif %}
        <span data-content="{{ label }}">{{ label }}</span>
        {% if badge is not none %}
          <span class="badge rounded-pill text-bg-secondary">{{ badge }}</span>
        {% endif %}
      </div>
    </a>
  </li>
{%- endmacro -%}
